import { LineMaterial } from 'three/examples/jsm/lines/LineMaterial.js';
declare class SpeckleLineMaterial extends LineMaterial {
    private static readonly matBuff;
    private static readonly vecBuff0;
    private static readonly vecBuff1;
    private static readonly vecBuff2;
    set pixelThreshold(value: number);
    constructor(parameters: any, defines?: any[]);
    copy(source: any): this;
    onBeforeRender(_this: any, scene: any, camera: any, geometry: any, object: any, group: any): void;
}
export default SpeckleLineMaterial;
